﻿'
' Copyright (c) 2021, MindFusion LLC - Bulgaria.
'

Imports Microsoft.Win32


''' <summary>
''' Interaction logic for MainWindow.xaml
''' </summary>
Partial Public Class MainWindow
	Inherits Window
	Public Sub New()
		InitializeComponent()
	End Sub


	Private Sub diagram_ActionRecorded(ByVal sender As Object, ByVal e As UndoEventArgs)
		Log("Diagram.ActionRecorded")
	End Sub

	Private Sub diagram_ActionRecording(ByVal sender As Object, ByVal e As UndoValidationEventArgs)
		Log("Diagram.ActionRecording")
	End Sub

	Private Sub diagram_ActionRedone(ByVal sender As Object, ByVal e As UndoEventArgs)
		Log("Diagram.ActionRedone")
	End Sub

	Private Sub diagram_ActionUndone(ByVal sender As Object, ByVal e As UndoEventArgs)
		Log("Diagram.ActionUndone")
	End Sub

	Private Sub diagram_BeginLoad(ByVal sender As Object, ByVal e As EventArgs)
		Log("Diagram.BeginLoad")
	End Sub

	Private Sub diagram_BoundsChanged(ByVal sender As Object, ByVal e As EventArgs)
		Log("Diagram.BoundsChanged")
	End Sub

	Private Sub diagram_CellClicked(ByVal sender As Object, ByVal e As CellEventArgs)
		Log("Diagram.CellClicked")
	End Sub

	Private Sub diagram_CellDoubleClicked(ByVal sender As Object, ByVal e As CellEventArgs)
		Log("Diagram.CellDoubleClicked")
	End Sub

	Private Sub diagram_CellTextEdited(ByVal sender As Object, ByVal e As EditCellTextEventArgs)
		Log("Diagram.CellTextEdited")
	End Sub

	Private Sub diagram_CellTextEditing(ByVal sender As Object, ByVal e As CellValidationEventArgs)
		Log("Diagram.CellTextEditing")
	End Sub

	Private Sub diagram_Clicked(ByVal sender As Object, ByVal e As DiagramEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.Clicked")
		End If
	End Sub

	Private Sub diagram_ContainerChildAdded(ByVal sender As Object, ByVal e As ContainerChildEventArgs)
		Log("Diagram.ContainerChildAdded")
	End Sub

	Private Sub diagram_ContainerChildRemoved(ByVal sender As Object, ByVal e As ContainerChildEventArgs)
		Log("Diagram.ContainerChildRemoved")
	End Sub

	Private Sub diagram_ContainerFolded(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.ContainerFolded")
	End Sub

	Private Sub diagram_ContainerUnfolded(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.ContainerUnfolded")
	End Sub

	Private Sub diagram_DefaultShapeChanged(ByVal sender As Object, ByVal e As EventArgs)
		Log("Diagram.DefaultShapeChanged")
	End Sub

	Private Sub diagram_DeserializeTag(ByVal sender As Object, ByVal e As SerializeTagEventArgs)
		Log("Diagram.DeserializeTag")
	End Sub

	Private Sub diagram_DestinationAnchorChanged(ByVal sender As Object, ByVal e As AnchorPointEventArgs)
		Log("Diagram.DestinationAnchorChanged")
	End Sub

	Private Sub diagram_DirtyChanged(ByVal sender As Object, ByVal e As EventArgs)
		Log("Diagram.DirtyChanged")
	End Sub

	Private Sub diagram_DoubleClicked(ByVal sender As Object, ByVal e As DiagramEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.DoubleClicked")
		End If
	End Sub

	Private Sub diagram_DrawAdjustmentHandles(ByVal sender As Object, ByVal e As DrawItemEventArgs)
		If checkBox2.IsChecked = True Then
			Log("Diagram.DrawAdjustmentHandles")
		End If
	End Sub

	Private Sub diagram_DrawAnchorPoint(ByVal sender As Object, ByVal e As DrawAnchorPointEventArgs)
		If checkBox2.IsChecked = True Then
			Log("Diagram.DrawAnchorPoint")
		End If
	End Sub

	Private Sub diagram_DrawCell(ByVal sender As Object, ByVal e As DrawCellEventArgs)
		If checkBox2.IsChecked = True Then
			Log("Diagram.DrawCell")
		End If
	End Sub

	Private Sub diagram_DrawLaneHeader(ByVal sender As Object, ByVal e As Lanes.DrawHeaderEventArgs)
		Log("Diagram.DrawLaneHeader")
	End Sub

	Private Sub diagram_DrawLink(ByVal sender As Object, ByVal e As DrawLinkEventArgs)
		If checkBox2.IsChecked = True Then
			Log("Diagram.DrawLink")
		End If
	End Sub

	Private Sub diagram_DrawNode(ByVal sender As Object, ByVal e As DrawNodeEventArgs)
		If checkBox2.IsChecked = True Then
			Log("Diagram.DrawNode")
		End If
	End Sub

	Private Sub diagram_EndLoad(ByVal sender As Object, ByVal e As EventArgs)
		Log("Diagram.EndLoad")
	End Sub

	Private Sub diagram_EnterInplaceEditMode(ByVal sender As Object, ByVal e As InPlaceEditEventArgs)
		Log("Diagram.EnterInplaceEditMode")
	End Sub

	Private Sub diagram_ExpandButtonClicked(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.ExpandButtonClicked")
	End Sub

	Private Sub diagram_GroupDestroyed(ByVal sender As Object, ByVal e As GroupEventArgs)
		Log("Diagram.GroupDestroyed")
	End Sub

	Private Sub diagram_HitTestAdjustmentHandles(ByVal sender As Object, ByVal e As HitTestEventArgs)
		Log("Diagram.HitTestAdjustmentHandles")
	End Sub

	Private Sub diagram_InitializeLink(ByVal sender As Object, ByVal e As LinkEventArgs)
		Log("Diagram.InitializeLink")
	End Sub

	Private Sub diagram_InitializeNode(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.InitializeNode")
	End Sub

	Private Sub diagram_ItemAdded(ByVal sender As Object, ByVal e As ItemEventArgs)
		Log("Diagram.ItemAdded")
	End Sub

	Private Sub diagram_ItemRemoved(ByVal sender As Object, ByVal e As ItemEventArgs)
		Log("Diagram.ItemRemoved")
	End Sub

	Private Sub diagram_LeaveInplaceEditMode(ByVal sender As Object, ByVal e As InPlaceEditEventArgs)
		Log("Diagram.LeaveInplaceEditMode")
	End Sub

	Private Sub diagram_LinkActivated(ByVal sender As Object, ByVal e As LinkEventArgs)
		Log("Diagram.LinkActivated")
	End Sub

	Private Sub diagram_LinkClicked(ByVal sender As Object, ByVal e As LinkEventArgs)
		Log("Diagram.LinkClicked")
	End Sub

	Private Sub diagram_LinkCreated(ByVal sender As Object, ByVal e As LinkEventArgs)
		Log("Diagram.LinkCreated")
	End Sub

	Private Sub diagram_LinkCreating(ByVal sender As Object, ByVal e As LinkValidationEventArgs)
		Log("Diagram.LinkCreating")
	End Sub

	Private Sub diagram_LinkDeactivated(ByVal sender As Object, ByVal e As LinkEventArgs)
		Log("Diagram.LinkDeactivated")
	End Sub

	Private Sub diagram_LinkDeleted(ByVal sender As Object, ByVal e As LinkEventArgs)
		Log("Diagram.LinkDeleted")
	End Sub

	Private Sub diagram_LinkDeleting(ByVal sender As Object, ByVal e As LinkValidationEventArgs)
		Log("Diagram.LinkDeleting")
	End Sub

	Private Sub diagram_LinkDeselected(ByVal sender As Object, ByVal e As LinkEventArgs)
		Log("Diagram.LinkDeselected")
	End Sub

	Private Sub diagram_LinkDoubleClicked(ByVal sender As Object, ByVal e As LinkEventArgs)
		Log("Diagram.LinkDoubleClicked")
	End Sub

	Private Sub diagram_LinkModified(ByVal sender As Object, ByVal e As LinkEventArgs)
		Log("Diagram.LinkModified")
	End Sub

	Private Sub diagram_LinkModifying(ByVal sender As Object, ByVal e As LinkValidationEventArgs)
		Log("Diagram.LinkModifying")
	End Sub

	Private Sub diagram_LinkPasted(ByVal sender As Object, ByVal e As LinkEventArgs)
		Log("Diagram.LinkPasted")
	End Sub

	Private Sub diagram_LinkRouted(ByVal sender As Object, ByVal e As LinkEventArgs)
		Log("Diagram.LinkRouted")
	End Sub

	Private Sub diagram_LinkSelected(ByVal sender As Object, ByVal e As LinkEventArgs)
		Log("Diagram.LinkSelected")
	End Sub

	Private Sub diagram_LinkSelecting(ByVal sender As Object, ByVal e As LinkValidationEventArgs)
		Log("Diagram.LinkSelecting")
	End Sub

	Private Sub diagram_LinkStartModifying(ByVal sender As Object, ByVal e As LinkValidationEventArgs)
		Log("Diagram.LinkStartModifying")
	End Sub

	Private Sub diagram_LinkTextEdited(ByVal sender As Object, ByVal e As EditLinkTextEventArgs)
		Log("Diagram.LinkTextEdited")
	End Sub

	Private Sub diagram_LinkTextEditing(ByVal sender As Object, ByVal e As LinkValidationEventArgs)
		Log("Diagram.LinkTextEditing")
	End Sub

	Private Sub diagram_MeasureUnitChanged(ByVal sender As Object, ByVal e As EventArgs)
		Log("Diagram.MeasureUnitChanged")
	End Sub

	Private Sub diagram_MouseDoubleClick(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.MouseDoubleClick")
		End If
	End Sub

	Private Sub diagram_MouseDown(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.MouseDown")
		End If
	End Sub

	Private Sub diagram_MouseEnter(ByVal sender As Object, ByVal e As MouseEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.MouseEnter")
		End If
	End Sub

	Private Sub diagram_MouseLeave(ByVal sender As Object, ByVal e As MouseEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.MouseLeave")
		End If
	End Sub

	Private Sub diagram_MouseLeftButtonDown(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.MouseLeftButtonDown")
		End If
	End Sub

	Private Sub diagram_MouseLeftButtonUp(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.MouseLeftButtonUp")
		End If
	End Sub

	Private Sub diagram_MouseMove(ByVal sender As Object, ByVal e As MouseEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.MouseMove")
		End If
	End Sub

	Private Sub diagram_MouseRightButtonDown(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.MouseRightButtonDown")
		End If
	End Sub

	Private Sub diagram_MouseRightButtonUp(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.MouseRightButtonUp")
		End If
	End Sub

	Private Sub diagram_MouseUp(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.MouseUp")
		End If
	End Sub

	Private Sub diagram_MouseWheel(ByVal sender As Object, ByVal e As MouseWheelEventArgs)
		If checkBox1.IsChecked = True Then
			Log("Diagram.MouseWheel")
		End If
	End Sub

	Private Sub diagram_NodeActivated(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.NodeActivated")
	End Sub

	Private Sub diagram_NodeClicked(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.NodeClicked")
	End Sub

	Private Sub diagram_NodeCreated(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.NodeCreated")
	End Sub

	Private Sub diagram_NodeCreating(ByVal sender As Object, ByVal e As NodeValidationEventArgs)
		Log("Diagram.NodeCreating")
	End Sub

	Private Sub diagram_NodeDeactivated(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.NodeDeactivated")
	End Sub

	Private Sub diagram_NodeDeleted(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.NodeDeleted")
	End Sub

	Private Sub diagram_NodeDeleting(ByVal sender As Object, ByVal e As NodeValidationEventArgs)
		Log("Diagram.NodeDeleting")
	End Sub

	Private Sub diagram_NodeDeselected(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.NodeDeselected")
	End Sub

	Private Sub diagram_NodeDoubleClicked(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.NodeDoubleClicked")
	End Sub

	Private Sub diagram_NodeModified(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.NodeModified")
	End Sub

	Private Sub diagram_NodeModifying(ByVal sender As Object, ByVal e As NodeValidationEventArgs)
		Log("Diagram.NodeModifying")
	End Sub

	Private Sub diagram_NodePasted(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.NodePasted")
	End Sub

	Private Sub diagram_NodeSelected(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.NodeSelected")
	End Sub

	Private Sub diagram_NodeSelecting(ByVal sender As Object, ByVal e As NodeValidationEventArgs)
		Log("Diagram.NodeSelecting")
	End Sub

	Private Sub diagram_NodeStartModifying(ByVal sender As Object, ByVal e As NodeValidationEventArgs)
		Log("Diagram.NodeStartModifying")
	End Sub

	Private Sub diagram_NodeTextEdited(ByVal sender As Object, ByVal e As EditNodeTextEventArgs)
		Log("Diagram.NodeTextEdited")
	End Sub

	Private Sub diagram_NodeTextEditing(ByVal sender As Object, ByVal e As NodeValidationEventArgs)
		Log("Diagram.NodeTextEditing")
	End Sub

	Private Sub diagram_OriginAnchorChanged(ByVal sender As Object, ByVal e As AnchorPointEventArgs)
		Log("Diagram.OriginAnchorChanged")
	End Sub

	Private Sub diagram_SelectionChanged(ByVal sender As Object, ByVal e As EventArgs)
		Log("Diagram.SelectionChanged")
	End Sub

	Private Sub diagram_SelectionModified(ByVal sender As Object, ByVal e As EventArgs)
		Log("Diagram.SelectionModified")
	End Sub

	Private Sub diagram_SelectionModifying(ByVal sender As Object, ByVal e1 As SelectionValidationEventArgs)
		Log("Diagram.SelectionModifying")
	End Sub

	Private Sub diagram_SerializeTag(ByVal sender As Object, ByVal e As SerializeTagEventArgs)
		Log("Diagram.SerializeTag")
	End Sub

	Private Sub diagram_TableSectionCollapsed(ByVal sender As Object, ByVal e As RowEventArgs)
		Log("Diagram.TableSectionCollapsed")
	End Sub

	Private Sub diagram_TableSectionExpanded(ByVal sender As Object, ByVal e As RowEventArgs)
		Log("Diagram.TableSectionExpanded")
	End Sub

	Private Sub diagram_TreeCollapsed(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.TreeCollapsed")
	End Sub

	Private Sub diagram_TreeExpanded(ByVal sender As Object, ByVal e As NodeEventArgs)
		Log("Diagram.TreeExpanded")
	End Sub

	Private Sub diagram_TreeItemTextEditing(ByVal sender As Object, ByVal e As TreeItemValidationEventArgs)
		Log("Diagram.TreeItemTextEditing")
	End Sub

	Private Sub diagram_ValidateAnchorPoint(ByVal sender As Object, ByVal e As LinkValidationEventArgs)
		Log("Diagram.ValidateAnchorPoint")
	End Sub

	Private Sub diagram_ZoomFactorChanged(ByVal sender As Object, ByVal e As EventArgs)
		Log("Diagram.ZoomFactorChanged")
	End Sub

	Private Sub Log(ByVal message As String)
		Dim item As New ListBoxItem()
		item.Content = message
		listBox1.Items.Add(item)
		listBox1.ScrollIntoView(item)
	End Sub

	Private Sub button1_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
		listBox1.Items.Clear()
	End Sub

	Private Sub button2_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
		Dim d As New OpenFileDialog()
		If d.ShowDialog() = True Then
			Try
				diagram.LoadFromString(d.FileName)
			Catch
			End Try
		End If
	End Sub

	Private Sub button3_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
		Dim d As New OpenFileDialog()
		If d.ShowDialog() = True Then
			Try
				diagram.LoadFromXml(d.FileName)
			Catch
			End Try
		End If
	End Sub
End Class